I am incapable of going on live, so I download my game updates from xbuc, but for there 2 game I have an issue.



On Skyrim when I try to use TU 9 the game an error message comes up saying the game can't start.

On Farcry 3 everytime I try and use TU 3 OR 4 it says an update is required and the game won't start.

Does anyone know what I can to to fix this, I mostly care about Farcry 3. the option to have no hud would be great.